#vertex
#version 330

uniform mat4 matrix_model_view_projection;
uniform vec4 diffuse;

layout(location = 0) in vec3 a_vertex;
layout(location = 1) in vec4 a_color;

out vec4 v_color;

void main()
{
	gl_Position = matrix_model_view_projection * vec4(a_vertex, 1.0);
	v_color = a_color * diffuse;
}

#fragment
#version 330

in vec4 v_color;

out vec4 o_color;

void main()
{
	o_color = v_color;
}
